/* eslint-disable max-len */
import React, { SVGProps } from "react";

export const WarningIcon = ({
    width = "14px",
    height = "16px",
    fill = "rgb(204, 134, 12)",
    ...props
}: SVGProps<SVGSVGElement>) => (
    <svg xmlns="http://www.w3.org/2000/svg" width={width} height={height} viewBox="0 0 16 16" fill="none" {...props}>
        <path
            fill={fill}
            d="M8 2.063c-2.05 0-3.91 1.093-4.95 2.843a5.708 5.708 0 0 0 0 5.688A5.694 5.694 0 0 0 8 13.438a5.683 5.683 0 0 0 4.922-2.844 5.708 5.708 0 0 0 0-5.688C11.882 3.156 10.023 2.063 8 2.063ZM8 14.75a6.96 6.96 0 0 1-6.07-3.5c-1.258-2.16-1.258-4.813 0-7A7.016 7.016 0 0 1 8 .75c2.488 0 4.785 1.34 6.043 3.5 1.258 2.188 1.258 4.84 0 7A6.948 6.948 0 0 1 8 14.75Zm0-10.5c.355 0 .656.3.656.656V7.97c0 .383-.3.656-.656.656a.632.632 0 0 1-.656-.656V4.906c0-.355.273-.656.656-.656Zm.875 6.125c0 .492-.41.875-.875.875a.864.864 0 0 1-.875-.875c0-.465.383-.875.875-.875a.9.9 0 0 1 .875.875Z"
        />
    </svg>
);
